%{?drupal7_find_provides_and_requires}

%global module email

Name:          drupal7-%{module}
Version:       1.3
Release:       2%{?dist}
Summary:       Defines an email field type.

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
This module provides a field type for email addresses.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# W: spurious-executable-perm /usr/share/doc/drupal7-email/LICENSE.txt
chmod a-x LICENSE.txt

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Mon Jan 26 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.3-2
- Fixed rpmlint warning
- Moved RPM README inside spec
- %%license usage

* Sun Jun 01 2014 Peter Borsa <peter.borsa@gmail.com> 1.3-1
- Initial package
